---
title: Cyera Connector
slug: connectors/cyera-connector
docTags: 
createdAt: 2026-10-12T09:27:26.007Z
---

Cyera is a data security platform that automates discovery, classification, and protection of sensitive data across hybrid and multi-cloud environments.

Cyera is a leading data security platform that provides comprehensive visibility and control over sensitive data across cloud and on-premises environments. This connector enables Swimlane Turbine users to automate the discovery, classification, and management of datastores, identities, incidents, and issues within Cyera. With robust actions for incident response, datastore scanning, ownership management, and compliance reporting, the integration empowers security teams to streamline data protection workflows, accelerate incident remediation, and maintain regulatory compliance. By leveraging Cyera’s deep data intelligence within Turbine’s low-code automation, organizations can proactively reduce risk, enforce data governance, and respond to threats faster—all without writing code.

### Limitations

None to date.

### Supported Versions

This Cyera connector uses the Version 1 and 3 API.

## Prerequisites

To use the Cyera connector, ensure you have the following prerequisites in place:

- Authentication using Client ID and Secret:
  - URL: The base endpoint for your Cyera API instance.
  - Client ID: The unique identifier for your Cyera application client.
  - Secret: The secret key associated with your Cyera client ID for secure authentication.

## Authentication Methods

- URL: The endpoint URL for the Cyera API.
- Client ID: The API Key. Your unique identifier to authenticate with the Cyera API.
- Secret: The API Secret associated with your Client ID for secure access.

## Capabilities

This Cyera Connector provides the following capabilities:

- Add Datastore Owner
- Datastore Classifications
- Datastore Objects
- Get All Objects for a Specific Issue
- Get Classifications for a Specific Issue
- Get Incident
- Get Issues
- Identity Classifications
- Identity Datastores
- Issue Classifications
- Issue Identities
- Issue Objects
- List Datastores
- List Identities
- Remove Datastore Owner
  *... and so on*

### Get All Objects for a Specific Issue

Retrieves all objects associated with a specific issue in Cyera, using the issue's unique identifier and supports pagination with limit and offset.

Cyera's documentation for this action can be found [here](https://api.cyera.io/#/Issues/IssueController_findObjects).

### Get Classifications for a Specific Issue

Retrieve all classifications for a given issue in Cyera, specified by UID with optional limit and offset parameters.

Cyera's documentation for this action can be found [here](https://api.cyera.io/#/Issues/IssueController_findClassifications).

### Get Issues

Retrieves a list of issues from Cyera with optional limit and offset parameters to control pagination.

Cyera's documentation for this action can be found [here](https://api.cyera.io/#/Issues/IssueController_findAllV3).

### Get Incident

Retrieves one Cyera DLP incident by id (`GET /v1/incidents/{incident_id}`). Requires permission `cyera.dlp.alerts.view`.

### Search Incidents

Searches Cyera DLP incidents (`POST /v1/incidents/search`) using filters, sort, and pagination. Requires permission `cyera.dlp.alerts.view`.

### Set Incidents State

Updates the state of one or more Cyera DLP incidents (`PATCH /v1/incidents/state`). Requires permission `cyera.dlp.alerts.change_status`.

## Additional Documentation

- [Cyera Connector Documentation](https://docs.swimlane.com/connectors/cyera)
- [Cyera API Documentation](https://api.cyera.io/#/Authentication/AuthController_login)

# Configurations

## Cyera API Authentication

Authentication using Client ID and Secret.

### Configuration Parameters

| **Parameter** | **Description**                    | **Type** | **Required** |
| ------------- | ---------------------------------- | -------- | ------------ |
| url           | A URL to the target host.          | string   | Required     |
| clientId      | The API Key.                       | string   | Required     |
| secret        | The API Secret.                    | string   | Required     |
| verify\_ssl   | Verify SSL certificate             | boolean  | Optional     |
| http\_proxy   | A proxy to route requests through. | string   | Optional     |

# Actions

## Add Datastore Owner

Assign a new owner to a specified datastore in Cyera by providing the required items in the JSON body.

### Endpoint

- **URL:** `v1/datastore-owners`
- **Method:** `POST`

### Input

| **Argument Name**    | **Type** | **Required** | **Description**                   |
| -------------------- | -------- | ------------ | --------------------------------- |
| `items`              | array    | Optional     | Parameter for Add Datastore Owner |
| `items.email`        | string   | Required     | The email of the owner.           |
| `items.ownerType`    | string   | Required     | The type of owner.                |
| `items.datastoreUid` | string   | Required     | The UID of the datastore.         |

### Input Example

`{"json_body":{"items":[{"email":"john.doe@example.com","ownerType":"application-owner","datastoreUid":"02e98ba7-92d8-4107-b7bf-13fc301aa874"}]}}`

### Output

| **Parameter**   | **Type** | **Description**                  |
| --------------- | -------- | -------------------------------- |
| `status_code`   | number   | HTTP status code of the response |
| `reason`        | string   | Response reason phrase           |
| `response_text` | string   | Output field: response\_text     |

### Output Example

`{"status_code":201,"response_headers":{},"reason":"Created","response_text":""}`

## Datastore Classifications

Retrieve classification details for a specific datastore in Cyera using the unique identifier (uid) as a path parameter.

### Endpoint

- **URL:** `/v1/datastores/{{uid}}/classifications`
- **Method:** `GET`

### Input

| **Argument Name**     | **Type** | **Required** | **Description**                                    |
| --------------------- | -------- | ------------ | -------------------------------------------------- |
| `parameters.limit`    | number   | Optional     | Limit the number of results (Min - 1, Max - 1000). |
| `parameters.offset`   | number   | Optional     | Offset within total existing results (Min - 0).    |
| `path_parameters.uid` | string   | Required     | Related Datastore UUID.                            |

### Input Example

`{"parameters":{"limit":10,"offset":0},"path_parameters":{"uid":"3b4d83a8-1fe3-498d-b3d6-8cb15feceabc"}}`

### Output

| **Parameter**                           | **Type** | **Description**                  |
| --------------------------------------- | -------- | -------------------------------- |
| `status_code`                           | number   | HTTP status code of the response |
| `reason`                                | string   | Response reason phrase           |
| `limit`                                 | number   | Output field: limit              |
| `offset`                                | number   | Output field: offset             |
| `total`                                 | number   | Output field: total              |
| `results`                               | array    | Result of the operation          |
| `results.dataClassName`                 | string   | Response data                    |
| `results.classificationName`            | string   | Name of the resource             |
| `results.dataCategory`                  | string   | Response data                    |
| `results.collections`                   | array    | Result of the operation          |
| `results.customCollections`             | array    | Result of the operation          |
| `results.uid`                           | string   | Unique identifier                |
| `results.sensitivity`                   | string   | Result of the operation          |
| `results.sensitivityDisplayName`        | string   | Name of the resource             |
| `results.defaultSensitivity`            | string   | Result of the operation          |
| `results.defaultSensitivityDisplayName` | string   | Name of the resource             |
| `results.context`                       | object   | Result of the operation          |
| `results.context.role`                  | string   | Result of the operation          |
| `results.context.tokenization`          | string   | Result of the operation          |
| `results.context.geoLocations`          | array    | Result of the operation          |
| `results.context.synthetic`             | boolean  | Result of the operation          |
| `results.context.dataSubjectAge`        | string   | Response data                    |
| `results.context.businessContext`       | array    | Result of the operation          |
| `results.context.businessContext.key`   | string   | Result of the operation          |
| `results.context.businessContext.value` | string   | Value for the parameter          |

### Output Example

`{"status_code":200,"response_headers":{},"reason":"OK","json_body":{"limit":10,"offset":0,"total":1,"results":[{}]}}`

## Datastore Objects

Retrieve all supported and unclassified objects for a specific datastore in Cyera using the required UID path parameter.

### Endpoint

- **URL:** `/v2/datastores/{{uid}}/objects`
- **Method:** `GET`

### Input

| **Argument Name**                 | **Type** | **Required** | **Description**                                                        |
| --------------------------------- | -------- | ------------ | ---------------------------------------------------------------------- |
| `parameters.limit`                | number   | Optional     | Limit the number of results (Min - 1, Max - 1000).                     |
| `parameters.offset`               | number   | Optional     | Offset within total existing results (Min - 0).                        |
| `parameters.fileName`             | string   | Optional     | Search by text that contained inside the fileName or the relativePath. |
| `parameters.returnFileSignatures` | boolean  | Optional     | Return file signatures for the objects.                                |
| `path_parameters.uid`             | string   | Required     | Related Datastore UUID.                                                |

### Input Example

`{"parameters":{"limit":10,"offset":0,"fileName":"test.txt","returnFileSignatures":true},"path_parameters":{"uid":"3b4d83a8-1fe3-498d-b3d6-8cb15feceabc"}}`

### Output

| **Parameter**                                           | **Type** | **Description**                  |
| ------------------------------------------------------- | -------- | -------------------------------- |
| `status_code`                                           | number   | HTTP status code of the response |
| `reason`                                                | string   | Response reason phrase           |
| `type`                                                  | string   | Type of the resource             |
| `results`                                               | array    | Result of the operation          |
| `results.uid`                                           | string   | Unique identifier                |
| `results.name`                                          | string   | Name of the resource             |
| `results.rowCount`                                      | number   | Result of the operation          |
| `results.sensitiveRecordsCount`                         | number   | Result of the operation          |
| `results.dbName`                                        | string   | Name of the resource             |
| `results.creationDate`                                  | object   | Result of the operation          |
| `results.tableLevelClassifications`                     | array    | Result of the operation          |
| `results.tableLevelClassifications.file_name`           | string   | Name of the resource             |
| `results.tableLevelClassifications.file`                | string   | Result of the operation          |
| `results.sensitivity`                                   | string   | Result of the operation          |
| `results.sensitivityDisplayName`                        | string   | Name of the resource             |
| `results.classifications`                               | array    | Result of the operation          |
| `results.classifications.uid`                           | string   | Unique identifier                |
| `results.classifications.name`                          | string   | Name of the resource             |
| `results.classifications.sensitivity`                   | string   | Result of the operation          |
| `results.classifications.sensitivityDisplayName`        | string   | Name of the resource             |
| `results.classifications.defaultSensitivity`            | string   | Result of the operation          |
| `results.classifications.defaultSensitivityDisplayName` | string   | Name of the resource             |
| `results.classifications.context`                       | object   | Result of the operation          |
| `results.classifications.context.role`                  | object   | Result of the operation          |
| `results.classifications.context.tokenization`          | string   | Result of the operation          |

### Output Example

`{"status_code":200,"response_headers":{},"reason":"OK","json_body":{"type":"TABLES","results":[{}],"offset":0,"limit":100,"total":156}}`

## Get All Objects for a Specific Issue

Retrieve all objects associated with a specific issue in Cyera by unique ID, supporting pagination with limit and offset parameters.

### Endpoint

- **URL:** `/v1/issues/{{uid}}/objects`
- **Method:** `GET`

### Input

| **Argument Name**              | **Type** | **Required** | **Description**                                                        |
| ------------------------------ | -------- | ------------ | ---------------------------------------------------------------------- |
| `path_parameters.uid`          | string   | Required     | UUID.                                                                  |
| `parameters.limit`             | number   | Required     | Limit the number of results (Min - 1, Max - 500).                      |
| `parameters.offset`            | number   | Required     | Offset within total existing results (Min - 0).                        |
| `parameters.fileName`          | string   | Optional     | Search by text that contained inside the fileName or the relativePath. |
| `parameters.classificationUid` | string   | Optional     | Search objects which contain the classification UID.                   |

### Input Example

`{"parameters":{"limit":10,"offset":0,"fileName":"","classificationUid":""},"path_parameters":{"uid":"02e98ba7-92d8-4107-b7bf-13fc301aa874"}}`

### Output

| **Parameter**                                                  | **Type** | **Description**                  |
| -------------------------------------------------------------- | -------- | -------------------------------- |
| `status_code`                                                  | number   | HTTP status code of the response |
| `reason`                                                       | string   | Response reason phrase           |
| `offset`                                                       | number   | Output field: offset             |
| `limit`                                                        | number   | Output field: limit              |
| `results`                                                      | array    | Result of the operation          |
| `results.type`                                                 | string   | Type of the resource             |
| `results.results`                                              | array    | Result of the operation          |
| `results.results.uid`                                          | string   | Unique identifier                |
| `results.results.name`                                         | string   | Name of the resource             |
| `results.results.rowCount`                                     | number   | Result of the operation          |
| `results.results.sensitiveRecordsCount`                        | number   | Result of the operation          |
| `results.results.dbName`                                       | string   | Name of the resource             |
| `results.results.creationDate`                                 | string   | Result of the operation          |
| `results.results.tableLevelClassifications`                    | array    | Result of the operation          |
| `results.results.tableLevelClassifications.uid`                | string   | Unique identifier                |
| `results.results.tableLevelClassifications.classificationName` | string   | Name of the resource             |
| `results.results.tableLevelClassifications.defaultSensitivity` | string   | Result of the operation          |
| `results.results.tableLevelClassifications.sensitivity`        | string   | Result of the operation          |
| `results.results.sensitivity`                                  | string   | Result of the operation          |
| `results.results.classifications`                              | array    | Result of the operation          |
| `results.results.classifications.uid`                          | string   | Unique identifier                |
| `results.results.classifications.classificationName`           | string   | Name of the resource             |
| `results.results.classifications.defaultSensitivity`           | string   | Result of the operation          |
| `results.results.classifications.sensitivity`                  | string   | Result of the operation          |
| `results.results.classifications.recordsCount`                 | number   | Result of the operation          |

### Output Example

`{"status_code":200,"response_headers":{"content-length":"140","content-type":"application/json","Date":"Fri, 25 Apr 2025 20:37:23 GMT"},"reason":"OK","json_body":{"offset":0,"limit":10,"results":[{}]}}`

## Get Classifications for a Specific Issue

Retrieve classifications for a specific issue in Cyera by UID, with optional limit and offset to control the number of results returned.

### Endpoint

- **URL:** `/v1/issues/{{uid}}/classifications`
- **Method:** `GET`

### Input

| **Argument Name**     | **Type** | **Required** | **Description**                                   |
| --------------------- | -------- | ------------ | ------------------------------------------------- |
| `path_parameters.uid` | string   | Required     | UUID.                                             |
| `parameters.limit`    | number   | Required     | Limit the number of results (Min - 1, Max - 100). |
| `parameters.offset`   | number   | Required     | Offset within total existing results (Min - 0).   |

### Input Example

`{"parameters":{"limit":10,"offset":0},"path_parameters":{"uid":"02e98ba7-92d8-4107-b7bf-13fc301aa874"}}`

### Output

| **Parameter**                           | **Type** | **Description**                  |
| --------------------------------------- | -------- | -------------------------------- |
| `status_code`                           | number   | HTTP status code of the response |
| `reason`                                | string   | Response reason phrase           |
| `limit`                                 | number   | Output field: limit              |
| `offset`                                | number   | Output field: offset             |
| `total`                                 | number   | Output field: total              |
| `results`                               | array    | Result of the operation          |
| `results.dataCategory`                  | string   | Response data                    |
| `results.collections`                   | array    | Result of the operation          |
| `results.customCollections`             | array    | Result of the operation          |
| `results.uid`                           | string   | Unique identifier                |
| `results.name`                          | string   | Name of the resource             |
| `results.sensitivity`                   | string   | Result of the operation          |
| `results.sensitivityDisplayName`        | string   | Name of the resource             |
| `results.defaultSensitivity`            | string   | Result of the operation          |
| `results.defaultSensitivityDisplayName` | string   | Name of the resource             |
| `results.context`                       | object   | Result of the operation          |
| `results.context.role`                  | string   | Result of the operation          |
| `results.context.tokenization`          | string   | Result of the operation          |
| `results.context.geoLocations`          | array    | Result of the operation          |
| `results.context.synthetic`             | boolean  | Result of the operation          |
| `results.context.dataSubjectAge`        | string   | Response data                    |
| `results.context.businessContext`       | array    | Result of the operation          |
| `results.context.businessContext.key`   | string   | Result of the operation          |
| `results.context.businessContext.value` | string   | Value for the parameter          |
| `results.context.identified`            | boolean  | Unique identifier                |

### Output Example

`{"status_code":200,"response_headers":{"content-length":"140","content-type":"application/json","Date":"Fri, 25 Apr 2025 20:37:23 GMT"},"reason":"OK","json_body":{"limit":10,"offset":0,"total":1,"results":[{}]}}`

## Get Incident

Fetch a specific Cyera DLP incident using its unique incident ID. Requires cyera.dlp.alerts.view permission.

### Endpoint

- **URL:** `/v1/incidents/{{incident_id}}`
- **Method:** `GET`

### Input

| **Argument Name**             | **Type** | **Required** | **Description**                    |
| ----------------------------- | -------- | ------------ | ---------------------------------- |
| `path_parameters.incident_id` | string   | Required     | Unique identifier of the incident. |

### Input Example

`{"path_parameters":{"incident_id":"ea2b7046-ab20-4219-9d05-1f32b2ac5bf3"}}`

### Output

| **Parameter**         | **Type** | **Description**                   |
| --------------------- | -------- | --------------------------------- |
| `status_code`         | number   | HTTP status code of the response  |
| `reason`              | string   | Response reason phrase            |
| `id`                  | string   | Unique identifier                 |
| `createdAt`           | string   | Output field: createdAt           |
| `updatedAt`           | string   | Output field: updatedAt           |
| `externalStatus`      | string   | Status value                      |
| `name`                | string   | Name of the resource              |
| `provider`            | string   | Unique identifier                 |
| `providerId`          | string   | Unique identifier                 |
| `channel`             | string   | Output field: channel             |
| `sourceActivity`      | string   | Output field: sourceActivity      |
| `destinations`        | array    | Output field: destinations        |
| `destinationPaths`    | array    | Output field: destinationPaths    |
| `destinationsDetails` | array    | Output field: destinationsDetails |
| `originFileName`      | string   | Name of the resource              |
| `dataType`            | string   | Response data                     |
| `userId`              | string   | Unique identifier                 |
| `externalSeverity`    | string   | Output field: externalSeverity    |
| `externalProperties`  | object   | Output field: externalProperties  |
| `extendedProperties`  | object   | Output field: extendedProperties  |
| `policyId`            | string   | Unique identifier                 |
| `policyName`          | string   | Name of the resource              |
| `policyVersion`       | number   | Output field: policyVersion       |
| `ruleNames`           | array    | Name of the resource              |
| `ruleVersion`         | number   | Output field: ruleVersion         |

### Output Example

`{"id":"12345678-1234-1234-1234-123456789abc","createdAt":"string","updatedAt":"string","externalStatus":"active","name":"Example Name","provider":"string","providerId":"string","channel":"string","sourceActivity":"string","destinations":["string"],"destinationPaths":["string"],"destinationsDetails":[],"originFileName":"Example Name","dataType":"string","userId":"string"}`

## Get Issues

Retrieve a paginated list of issues from Cyera using limit and offset parameters to control the number of results returned.

### Endpoint

- **URL:** `/v3/issues`
- **Method:** `GET`

### Input

| **Argument Name**         | **Type** | **Required** | **Description**                                      |
| ------------------------- | -------- | ------------ | ---------------------------------------------------- |
| `parameters.limit`        | number   | Required     | Limit the number of results (Min - 1, Max - 100).    |
| `parameters.offset`       | number   | Required     | Offset within total existing results (Min - 0).      |
| `parameters.datastoreUid` | string   | Optional     | Related Datastore UID.                               |
| `parameters.createdDate`  | string   | Optional     | Issue's creation time (equals to, or later than).    |
| `parameters.updatedDate`  | string   | Optional     | Issue's last update time (equals to, or later than). |
| `parameters.severity`     | string   | Optional     | Issue's severity.                                    |
| `parameters.status`       | string   | Optional     | Issue status.                                        |

### Input Example

`{"parameters":{"limit":10,"offset":0,"datastoreUid":"379661c3-ad91-4691-ab58-8704ff5f6a9e","createdDate":"2024-01-01T00:00:00.000Z","updatedDate":"2024-02-01T00:00:00.000Z","severity":"High","status":"Open"}}`

### Output

| **Parameter**                          | **Type** | **Description**                  |
| -------------------------------------- | -------- | -------------------------------- |
| `status_code`                          | number   | HTTP status code of the response |
| `reason`                               | string   | Response reason phrase           |
| `limit`                                | number   | Output field: limit              |
| `offset`                               | number   | Output field: offset             |
| `total`                                | number   | Output field: total              |
| `results`                              | array    | Result of the operation          |
| `results.provider`                     | string   | Unique identifier                |
| `results.infrastructure`               | string   | Result of the operation          |
| `results.engine`                       | string   | Result of the operation          |
| `results.regions`                      | array    | Result of the operation          |
| `results.owner`                        | string   | Result of the operation          |
| `results.account`                      | object   | Result of the operation          |
| `results.account.inPlatformIdentifier` | string   | Unique identifier                |
| `results.account.name`                 | string   | Name of the resource             |
| `results.classificationGroups`         | array    | Result of the operation          |
| `results.cloudProviderTags`            | array    | Unique identifier                |
| `results.cloudProviderTags.key`        | string   | Unique identifier                |
| `results.cloudProviderTags.value`      | string   | Unique identifier                |
| `results.uid`                          | string   | Unique identifier                |
| `results.name`                         | string   | Name of the resource             |
| `results.severity`                     | string   | Result of the operation          |
| `results.createdDate`                  | string   | Result of the operation          |
| `results.updatedDate`                  | string   | Result of the operation          |
| `results.status`                       | string   | Status value                     |
| `results.riskStatus`                   | string   | Status value                     |

### Output Example

`{"status_code":200,"response_headers":{"content-length":"140","content-type":"application/json","Date":"Fri, 25 Apr 2025 20:37:23 GMT"},"reason":"OK","json_body":{"limit":10,"offset":0,"total":1,"results":[{}]}}`

## Identity Classifications

Retrieve classifications for a specific identity in Cyera using the unique identifier (uid) as a path parameter.

### Endpoint

- **URL:** `/v1/identities/{{uid}}/classifications`
- **Method:** `GET`

### Input

| **Argument Name**     | **Type** | **Required** | **Description**                                    |
| --------------------- | -------- | ------------ | -------------------------------------------------- |
| `parameters.limit`    | number   | Optional     | Limit the number of results (Min - 1, Max - 1000). |
| `parameters.offset`   | number   | Optional     | Offset within total existing results (Min - 0).    |
| `path_parameters.uid` | string   | Required     | Identity UUID.                                     |

### Input Example

`{"parameters":{"limit":10,"offset":0},"path_parameters":{"uid":"3b4d83a8-1fe3-498d-b3d6-8cb15feceabc"}}`

### Output

| **Parameter**                               | **Type** | **Description**                  |
| ------------------------------------------- | -------- | -------------------------------- |
| `status_code`                               | number   | HTTP status code of the response |
| `reason`                                    | string   | Response reason phrase           |
| `limit`                                     | number   | Output field: limit              |
| `offset`                                    | number   | Output field: offset             |
| `total`                                     | number   | Output field: total              |
| `results`                                   | array    | Result of the operation          |
| `results.uid`                               | string   | Unique identifier                |
| `results.name`                              | string   | Name of the resource             |
| `results.sensitivity`                       | string   | Result of the operation          |
| `results.sensitivityDisplayName`            | string   | Name of the resource             |
| `results.defaultSensitivity`                | string   | Result of the operation          |
| `results.defaultSensitivityDisplayName`     | string   | Name of the resource             |
| `results.context`                           | object   | Result of the operation          |
| `results.context.role`                      | string   | Result of the operation          |
| `results.context.tokenization`              | string   | Result of the operation          |
| `results.context.geoLocations`              | array    | Result of the operation          |
| `results.context.synthetic`                 | boolean  | Result of the operation          |
| `results.context.dataSubjectAge`            | string   | Response data                    |
| `results.context.businessContext`           | array    | Result of the operation          |
| `results.context.businessContext.file_name` | string   | Name of the resource             |
| `results.context.businessContext.file`      | string   | Result of the operation          |
| `results.context.identified`                | boolean  | Unique identifier                |
| `results.context.identifiability`           | string   | Unique identifier                |
| `results.classificationGroup`               | string   | Result of the operation          |
| `results.dataCategory`                      | string   | Response data                    |

### Output Example

`{"status_code":200,"response_headers":{},"reason":"OK","json_body":{"limit":12,"offset":0,"total":1033,"results":[{"uid":"a1b2c3d4-e5f6-7890-abcd-111111111111","name":"Bank Account Number","sensitivity":"Sensitive","sensitivityDisplayName":"Confidential","defaultSensitivity":"Sensitive","defaultSensitivityDisplayName":"Confidential","context":{"role":null,"tokenization":"Plain","geoLocations":["Canada"],"synthetic":false,"dataSubjectAge":"None","businessContext":[],"identified":true,"identifiabi...`

## Identity Datastores

Retrieve datastores accessible to a specified identity, including privileges, sensitive records count, and data classifications. Requires UID as a path parameter.

### Endpoint

- **URL:** `/v1/identities/{{uid}}/datastores`
- **Method:** `GET`

### Input

| **Argument Name**                 | **Type** | **Required** | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| --------------------------------- | -------- | ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `parameters.limit`                | integer  | Optional     | Limit the number of results (Min - 1, Max - 1000)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `parameters.offset`               | integer  | Optional     | Offset within total existing results (Min - 0)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `parameters.searchTerm`           | string   | Optional     | Search term for datastore name (includes operator, case-insensitive)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `parameters.cloudProviders`       | string   | Optional     | List of cloud providers (delimited by comma separator ","). Valid values - AWS, Azure, GCP, Snowflake, Microsoft365, Atlas, Mongo Atlas, Salesforce, Box, Google Workspace, OCI, Databricks, Dropbox, Jira, Github, Dlp, Workday, On-prem, CockroachDB, Yugabyte Aeon, Yugabyte Anywhere, Okta, ServiceNow, Airtable, Confluence, Netskope, Zscaler, Purview, CopilotStudio.                                                                                                                                                                                                                                                                                                                                                                                                      |
| `parameters.infrastructures`      | string   | Optional     | Filter by infrastructure types (delimited by comma separator ","). Valid values - ec2, rds, s3, on-prem, elastic-cache, dynamo-db, bigquery, gcp-storage, gcp-cloud-sql, google-drive, exchange-online-mailbox, azure-sql-database, azure-blob-storage, azure-file-share, azure-sql-managed-instance, Cloud SQL, azure-vm-sql, azure-database-server, redshift, OneDrive, snowflake, atlas-cluster, azure-vm, OpenSearch, databricks, cosmos-db, azure-redis-cache, on-prem-file-share, netapp-on-prem-smb-file-share, powerscale-on-prem-smb-file-share, on-prem-nfs-file-share, box, crdb, yugabyte-aeon, yugabyte-anywhere, salesforce-unstructured, salesforce-structured, salesforce-object, service-now-table, oracle-autonomous-database, confluence-space, jira-project . |
| `parameters.sensitivities`        | string   | Optional     | Filter by sensitivities (delimited by comma separator ","). Valid values - VerySensitive, Sensitive, Internal, NotSensitive, Unclassified.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `parameters.classificationGroups` | string   | Optional     | Filter by classification groups (delimited by comma separator ","). Valid values - Personal, Health, Financial, IT & Security, Business & IP.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `parameters.regions`              | string   | Optional     | Filter by regions (delimited by comma separator ",").                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `path_parameters.uid`             | string   | Required     | Identity unique identifier.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |

### Input Example

`{"parameters":{"limit":10,"offset":0,"searchTerm":"prod-db","cloudProviders":"AWS","infrastructures":"rds","sensitivities":"VerySensitive","classificationGroups":"Personal","regions":"us-east-1"},"path_parameters":{"uid":"3b4d83a8-1fe3-498d-b3d6-8cb15feceabc"}}`

### Output

| **Parameter**                    | **Type** | **Description**                  |
| -------------------------------- | -------- | -------------------------------- |
| `status_code`                    | number   | HTTP status code of the response |
| `reason`                         | string   | Response reason phrase           |
| `limit`                          | number   | Output field: limit              |
| `offset`                         | number   | Output field: offset             |
| `total`                          | number   | Output field: total              |
| `results`                        | array    | Result of the operation          |
| `results.uid`                    | string   | Unique identifier                |
| `results.name`                   | string   | Name of the resource             |
| `results.type`                   | string   | Type of the resource             |
| `results.dataType`               | string   | Response data                    |
| `results.infrastructure`         | string   | Result of the operation          |
| `results.engine`                 | string   | Result of the operation          |
| `results.regions`                | array    | Result of the operation          |
| `results.provider`               | string   | Unique identifier                |
| `results.account`                | object   | Result of the operation          |
| `results.account.uid`            | string   | Unique identifier                |
| `results.account.name`           | string   | Name of the resource             |
| `results.account.platform`       | string   | Result of the operation          |
| `results.discoveredDate`         | string   | Result of the operation          |
| `results.createdDate`            | string   | Result of the operation          |
| `results.ghost`                  | boolean  | Result of the operation          |
| `results.permissions`            | array    | Result of the operation          |
| `results.sensitiveRecords`       | number   | Result of the operation          |
| `results.sensitivity`            | string   | Result of the operation          |
| `results.sensitivityDisplayName` | string   | Name of the resource             |

### Output Example

`{"status_code":200,"response_headers":{},"reason":"OK","json_body":{"limit":10,"offset":0,"total":1,"results":[{}]}}`

## Issue Classifications

Retrieve all classifications associated with a specific issue in Cyera by providing the unique identifier (uid) as a path parameter.

### Endpoint

- **URL:** `v1/issues/{{uid}}/classifications`
- **Method:** `GET`

### Input

| **Argument Name**     | **Type** | **Required** | **Description**                                   |
| --------------------- | -------- | ------------ | ------------------------------------------------- |
| `parameters.limit`    | number   | Optional     | Limit the number of results (Min - 1, Max - 100). |
| `parameters.offset`   | number   | Optional     | Offset within total existing results (Min - 0).   |
| `path_parameters.uid` | string   | Required     | UUID.                                             |

### Input Example

`{"parameters":{"limit":10,"offset":0},"path_parameters":{"uid":"02e98ba7-92d8-4107-b7bf-13fc301aa874"}}`

### Output

| **Parameter**                           | **Type** | **Description**                  |
| --------------------------------------- | -------- | -------------------------------- |
| `status_code`                           | number   | HTTP status code of the response |
| `reason`                                | string   | Response reason phrase           |
| `limit`                                 | number   | Output field: limit              |
| `offset`                                | number   | Output field: offset             |
| `total`                                 | number   | Output field: total              |
| `results`                               | array    | Result of the operation          |
| `results.dataClassName`                 | string   | Response data                    |
| `results.classificationName`            | string   | Name of the resource             |
| `results.dataCategory`                  | string   | Response data                    |
| `results.collections`                   | array    | Result of the operation          |
| `results.customCollections`             | array    | Result of the operation          |
| `results.uid`                           | string   | Unique identifier                |
| `results.sensitivity`                   | string   | Result of the operation          |
| `results.sensitivityDisplayName`        | string   | Name of the resource             |
| `results.defaultSensitivity`            | string   | Result of the operation          |
| `results.defaultSensitivityDisplayName` | string   | Name of the resource             |
| `results.context`                       | object   | Result of the operation          |
| `results.context.role`                  | string   | Result of the operation          |
| `results.context.tokenization`          | string   | Result of the operation          |
| `results.context.geoLocations`          | array    | Result of the operation          |
| `results.context.synthetic`             | boolean  | Result of the operation          |
| `results.context.dataSubjectAge`        | string   | Response data                    |
| `results.context.businessContext`       | array    | Result of the operation          |
| `results.context.businessContext.key`   | string   | Result of the operation          |
| `results.context.businessContext.value` | string   | Value for the parameter          |

### Output Example

`{"status_code":200,"response_headers":{},"reason":"OK","json_body":{"limit":10,"offset":0,"total":1,"results":[{}]}}`

## Issue Identities

Retrieve identities linked to a specific issue in Cyera by providing the unique identifier (uid) as a path parameter.

### Endpoint

- **URL:** `/v1/issues/{{uid}}/identities`
- **Method:** `GET`

### Input

| **Argument Name**                         | **Type** | **Required** | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ----------------------------------------- | -------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `parameters.limit`                        | number   | Optional     | Limit the number of results (Min - 1, Max - 1000).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `parameters.offset`                       | number   | Optional     | Offset within total existing results (Min - 0).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `parameters.identityName`                 | string   | Optional     | Identity name (includes operator, case-insensitive).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `parameters.identityTypes`                | string   | Optional     | Identity types (delimited by comma separator ","). Valid values - User, Role, Group, Account, Tenant, LocalDbUser, App, Managed, Global, ServiceAccount, Domain.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `parameters.identityTrustLevels`          | string   | Optional     | Identity trust levels (delimited by comma separator ","). Valid values - Trusted, ExternalTrusted, External, Public.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `parameters.identityProviders`            | string   | Optional     | Identity providers (delimited by comma separator ","). Valid values - Atlas, AwsIam, MicrosoftEntraId, GoogleSuite, Snowflake, Anonymous, External, SharePoint, Box, GoogleCloudProject, Okta, AwsSso, ActiveDirectory, AiAsset, Salesforce, Confluence.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `parameters.isStaleIdentity`              | string   | Optional     | Is the identity stale (i.e., not active in the last 90 days)?                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `parameters.isDisabledIdentity`           | string   | Optional     | Is the identity disabled?                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `parameters.isRisky`                      | string   | Optional     | Is the identity marked as risky?                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `parameters.identityDepartments`          | string   | Optional     | Identity's organizational info - Department (delimited by comma separator ',')                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `parameters.identityOfficeLocations`      | string   | Optional     | Identity's organizational info - Office Location (delimited by comma separator ',')                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `parameters.identityCountries`            | string   | Optional     | Identity's organizational info - Country (delimited by comma separator ',')                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `parameters.identityJobTitles`            | string   | Optional     | Identity's organizational info - Job Title (delimited by comma separator ',')                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `parameters.mfaStatus`                    | string   | Optional     | Identity Multi-factor Authentication status                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `parameters.m365CopilotStatus`            | string   | Optional     | Microsoft 365 Copilot access status.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `parameters.datastoreCloudProviders`      | string   | Optional     | List of datastore cloud providers (delimited by comma separator ","). Valid values - AWS, Azure, GCP, Snowflake, Microsoft365, Atlas, Mongo Atlas, Salesforce, Box, Google Workspace, OCI, Databricks, Dropbox, Jira, Github, Dlp, Workday, On-prem, CockroachDB, Yugabyte Aeon, Yugabyte Anywhere, Okta, ServiceNow, Airtable, Confluence, Netskope, Zscaler, Purview, CopilotStudio.                                                                                                                                                                                                                                                                                                                                                                                    |
| `parameters.datastoreInfrastructures`     | string   | Optional     | List of infrastructures (delimited by comma separator ","). Valid values - ec2, rds, s3, on-prem, elastic-cache, dynamo-db, bigquery, gcp-storage, gcp-cloud-sql, google-drive, exchange-online-mailbox, azure-sql-database, azure-blob-storage, azure-file-share, azure-sql-managed-instance, Cloud SQL, azure-vm-sql, azure-database-server, redshift, OneDrive, snowflake, atlas-cluster, azure-vm, OpenSearch, databricks, cosmos-db, azure-redis-cache, on-prem-file-share, netapp-on-prem-smb-file-share, powerscale-on-prem-smb-file-share, on-prem-nfs-file-share, box, crdb, yugabyte-aeon, yugabyte-anywhere, salesforce-unstructured, salesforce-structured, salesforce-object, service-now-table, oracle-autonomous-database, confluence-space, jira-project. |
| `parameters.datastoreName`                | string   | Optional     | Datastore name ("includes" operator, case-insensitive)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `parameters.accountInPlatformIdentifiers` | string   | Optional     | Account's platform identifier (e.g AWS Account ID)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `parameters.classificationSensitivities`  | string   | Optional     | Sensitivities of classifications the identity has access to (delimited by comma separator ","). Valid values - VerySensitive, Sensitive, Internal, NotSensitive, Unclassified                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `parameters.classificationsNames`         | string   | Optional     | Data classes the identity has access to (delimited by comma separator ',')                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `parameters.classificationGroups`         | string   | Optional     | Categories of classifications the identity has access to (delimited by comma separator ","). Valid values - Personal, Health, Financial, IT & Security, Business & IP.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `parameters.classificationRoles`          | string   | Optional     | Roles of classifications the identity has access to (delimited by comma separator ",")                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `parameters.classificationGeolocation`    | string   | Optional     | Geolocation of classifications the identity has access to (delimited by comma separator ",")                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `parameters.groupMember`                  | string   | Optional     | Group member (includes operator, case-insensitive)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

### Input Example

`{"parameters":{"limit":10,"offset":0,"identityName":"John Doe","identityTypes":"Managed","identityTrustLevels":"Trusted","identityProviders":"Okta","isStaleIdentity":"true","isDisabledIdentity":"true","isRisky":"true","identityDepartments":"","identityOfficeLocations":"","identityCountries":"","identityJobTitles":"","mfaStatus":"'enabled' | 'disabled' | 'unknown'","m365CopilotStatus":"'enabled' | 'disabled'","datastoreCloudProviders":"AWS","datastoreInfrastructures":"s3","datastoreName":"MySQLDB","accountInPlatformIdentifiers":"012345678901","classificationSensitivities":"VerySensitive","classificationsNames":"","classificationGroups":"Health","classificationRoles":"","classificationGeolocation":"","groupMember":"group-uid-123","groupIncludes":"identity-uid-123","groupSizeGte":"100","groupSizeLte":"1000","creationDateGte":"2024-01-01T00:00:00.000Z","creationDateLt":"2024-01-01T00:00:00.000Z","passwordRotationGte":"2024-01-01T00:00:00.000Z","passwordRotationLt":"2024-01-01T00:00:00.000Z","isDeleted":"true","deletionDateGte":"2024-01-01T00:00:00.000Z","deletionDateLt":"2024-01-01T00:00:00.000Z","disableDateGte":"2024-01-01T00:00:00.000Z","disableDateLt":"2024-01-01T00:00:00.000Z"},"path_parameters":{"uid":"02e98ba7-92d8-4107-b7bf-13fc301aa874"}}`

### Output

| **Parameter**                             | **Type** | **Description**                  |
| ----------------------------------------- | -------- | -------------------------------- |
| `status_code`                             | number   | HTTP status code of the response |
| `reason`                                  | string   | Response reason phrase           |
| `limit`                                   | number   | Output field: limit              |
| `offset`                                  | number   | Output field: offset             |
| `total`                                   | number   | Output field: total              |
| `results`                                 | array    | Result of the operation          |
| `results.uid`                             | string   | Unique identifier                |
| `results.displayName`                     | string   | Name of the resource             |
| `results.displayId`                       | string   | Unique identifier                |
| `results.category`                        | string   | Result of the operation          |
| `results.trustLevel`                      | string   | Result of the operation          |
| `results.scopeNamespace`                  | string   | Name of the resource             |
| `results.scopeDisplayName`                | string   | Name of the resource             |
| `results.scopeId`                         | string   | Unique identifier                |
| `results.isStale`                         | boolean  | Result of the operation          |
| `results.isEnabled`                       | boolean  | Result of the operation          |
| `results.hasCopilot`                      | boolean  | Result of the operation          |
| `results.hasMultipleParents`              | boolean  | Result of the operation          |
| `results.membersCount`                    | number   | Result of the operation          |
| `results.reportsTo`                       | string   | Result of the operation          |
| `results.managerId`                       | string   | Unique identifier                |
| `results.multiFactorAuthenticationStatus` | string   | Status value                     |
| `results.lastActiveTime`                  | string   | Result of the operation          |
| `results.creationTime`                    | string   | Result of the operation          |
| `results.lastPasswordUpdateTime`          | string   | Result of the operation          |

### Output Example

`{"status_code":200,"response_headers":{},"reason":"OK","json_body":{"limit":10,"offset":0,"total":1,"results":[{}]}}`

## Issue Objects

Retrieve all supported and unclassified objects related to a specific issue in Cyera using the unique identifier (uid) as a path parameter.

### Endpoint

- **URL:** `/v1/issues/{{uid}}/objects`
- **Method:** `GET`

### Input

| **Argument Name**                 | **Type** | **Required** | **Description**                                                        |
| --------------------------------- | -------- | ------------ | ---------------------------------------------------------------------- |
| `parameters.limit`                | number   | Optional     | Limit the number of results (Min - 1, Max - 500).                      |
| `parameters.offset`               | number   | Optional     | Offset within total existing results (Min - 0).                        |
| `parameters.fileName`             | string   | Optional     | Search by text that contained inside the fileName or the relativePath. |
| `parameters.classificationUid`    | string   | Optional     | Search objects which contain the classification UID.                   |
| `parameters.returnFileSignatures` | boolean  | Optional     | Return file signatures for the objects.                                |
| `path_parameters.uid`             | string   | Required     | UUID.                                                                  |

### Input Example

`{"parameters":{"limit":10,"offset":0,"fileName":"test.txt","classificationUid":"3b4d83a8-1fe3-498d-b3d6-8cb15feceabc","returnFileSignatures":true},"path_parameters":{"uid":"02e98ba7-92d8-4107-b7bf-13fc301aa874"}}`

### Output

| **Parameter**                                              | **Type** | **Description**                  |
| ---------------------------------------------------------- | -------- | -------------------------------- |
| `status_code`                                              | number   | HTTP status code of the response |
| `reason`                                                   | string   | Response reason phrase           |
| `limit`                                                    | number   | Output field: limit              |
| `offset`                                                   | number   | Output field: offset             |
| `total`                                                    | number   | Output field: total              |
| `results`                                                  | array    | Result of the operation          |
| `results.uid`                                              | string   | Unique identifier                |
| `results.name`                                             | string   | Name of the resource             |
| `results.rowCount`                                         | number   | Result of the operation          |
| `results.sensitiveRecordsCount`                            | number   | Result of the operation          |
| `results.creationDate`                                     | string   | Result of the operation          |
| `results.sensitivity`                                      | string   | Result of the operation          |
| `results.sensitivityDisplayName`                           | string   | Name of the resource             |
| `results.dbName`                                           | string   | Name of the resource             |
| `results.schemaName`                                       | string   | Name of the resource             |
| `results.tableLevelClassifications`                        | array    | Result of the operation          |
| `results.tableLevelClassifications.dataClassName`          | string   | Response data                    |
| `results.tableLevelClassifications.classificationName`     | string   | Name of the resource             |
| `results.tableLevelClassifications.dataCategory`           | string   | Response data                    |
| `results.tableLevelClassifications.collections`            | array    | Result of the operation          |
| `results.tableLevelClassifications.customCollections`      | array    | Result of the operation          |
| `results.tableLevelClassifications.uid`                    | string   | Unique identifier                |
| `results.tableLevelClassifications.sensitivity`            | string   | Result of the operation          |
| `results.tableLevelClassifications.sensitivityDisplayName` | string   | Name of the resource             |
| `results.tableLevelClassifications.defaultSensitivity`     | string   | Result of the operation          |

### Output Example

`{"status_code":200,"response_headers":{},"reason":"OK","json_body":{"limit":10,"offset":0,"total":1,"results":[{}],"type":"TABLES"}}`

## List Datastores

Retrieve a list of datastores from Cyera using specified filters and return detailed information for each datastore.

### Endpoint

- **URL:** `v2/datastores`
- **Method:** `GET`

### Input

| **Argument Name**                         | **Type** | **Required** | **Description**                                                                                                                                                                                                  |
| ----------------------------------------- | -------- | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `parameters.limit`                        | integer  | Optional     | Limit the number of results (Min - 1, Max - 1000)                                                                                                                                                                |
| `parameters.offset`                       | integer  | Optional     | Offset within total existing results (Min - 0)                                                                                                                                                                   |
| `parameters.provider`                     | string   | Optional     | Account Platform                                                                                                                                                                                                 |
| `parameters.infrastructure`               | string   | Optional     | List of infrastructures (delimited by comma separator ",")                                                                                                                                                       |
| `parameters.scanningStateStatus`          | string   | Optional     | List of scanning state status (delimited by comma separator ",")                                                                                                                                                 |
| `parameters.lastDataRefreshGte`           | string   | Optional     | The start time of the latest datascan greater than or equal to                                                                                                                                                   |
| `parameters.lastDataRefreshLte`           | string   | Optional     | The start time of the latest datascan less than or equal to                                                                                                                                                      |
| `parameters.lastModifiedTimeGte`          | string   | Optional     | Last modified time greater than or equal to                                                                                                                                                                      |
| `parameters.lastModifiedTimeLte`          | string   | Optional     | Last modified time less than or equal to                                                                                                                                                                         |
| `parameters.discoveredDateGte`            | string   | Optional     | Discovered date greater than or equal to                                                                                                                                                                         |
| `parameters.discoveredDateLte`            | string   | Optional     | Discovered date less than or equal to                                                                                                                                                                            |
| `parameters.name`                         | string   | Optional     | Datastore name ("includes" operator, case-insensitive)                                                                                                                                                           |
| `parameters.regions`                      | string   | Optional     | List of regions (delimited by comma separator ",")                                                                                                                                                               |
| `parameters.dataType`                     | string   | Optional     | Datastore Data type                                                                                                                                                                                              |
| `parameters.createdDate`                  | string   | Optional     | Date where datastore was created (equals to, or later than)                                                                                                                                                      |
| `parameters.cloudProviderUrl`             | string   | Optional     | Cloud Provider URL                                                                                                                                                                                               |
| `parameters.datastoreSizeInGiB`           | number   | Optional     | The total size of the data in GiB (applies to unstructured datastores only)                                                                                                                                      |
| `parameters.projectIds`                   | string   | Optional     | List of project ids (delimited by comma separator ",")                                                                                                                                                           |
| `parameters.inPlatformIdentifier`         | string   | Optional     | Account's platform identifier (e.g AWS Account ID)                                                                                                                                                               |
| `parameters.nameRegex`                    | string   | Optional     | A case-insensitive datastore name regex pattern; for example, use "^(?!.\*test)" to exclude names containing test or "test" to include them, and if both name and nameRegex are provided, name takes precedence. |
| `parameters.uid`                          | string   | Optional     | Datastore UIDs (delimited by comma separator ",")                                                                                                                                                                |
| `parameters.engine`                       | string   | Optional     | List of engines (delimited by comma separator ",")                                                                                                                                                               |
| `parameters.wasScanned`                   | boolean  | Optional     | Filter datastores that were scanned (true) or not scanned (false)                                                                                                                                                |
| `parameters.includeSoftDeletedDatastores` | boolean  | Optional     | Include datastores that were previously discovered but are now deleted                                                                                                                                           |

### Input Example

`{"parameters":{"limit":123,"offset":123,"provider":"string","infrastructure":"string","scanningStateStatus":"active","lastDataRefreshGte":"string","lastDataRefreshLte":"string","lastModifiedTimeGte":"string","lastModifiedTimeLte":"string","discoveredDateGte":"string","discoveredDateLte":"string","name":"Example Name","regions":"string","dataType":"string","createdDate":"string","cloudProviderUrl":"string","datastoreSizeInGiB":123,"projectIds":"string","inPlatformIdentifier":"string","nameRegex":"Example Name","uid":"string","engine":"string","wasScanned":true,"includeSoftDeletedDatastores":true}}`

### Output

| **Parameter**                         | **Type** | **Description**                  |
| ------------------------------------- | -------- | -------------------------------- |
| `status_code`                         | number   | HTTP status code of the response |
| `reason`                              | string   | Response reason phrase           |
| `limit`                               | number   | Output field: limit              |
| `offset`                              | number   | Output field: offset             |
| `total`                               | number   | Output field: total              |
| `results`                             | array    | Result of the operation          |
| `results.name`                        | string   | Name of the resource             |
| `results.discoveredDate`              | string   | Result of the operation          |
| `results.provider`                    | string   | Unique identifier                |
| `results.uid`                         | string   | Unique identifier                |
| `results.type`                        | string   | Type of the resource             |
| `results.dataType`                    | string   | Response data                    |
| `results.infrastructure`              | string   | Result of the operation          |
| `results.engine`                      | string   | Result of the operation          |
| `results.cloudProviderUrl`            | string   | URL endpoint for the request     |
| `results.scanningState`               | string   | Result of the operation          |
| `results.ghost`                       | boolean  | Result of the operation          |
| `results.vpc`                         | string   | Result of the operation          |
| `results.owner`                       | object   | Result of the operation          |
| `results.cloudProviderTags`           | array    | Unique identifier                |
| `results.cloudProviderTags.file_name` | string   | Unique identifier                |
| `results.cloudProviderTags.file`      | string   | Unique identifier                |
| `results.collections`                 | array    | Result of the operation          |
| `results.collections.file_name`       | string   | Name of the resource             |
| `results.collections.file`            | string   | Result of the operation          |

### Output Example

`{"limit":123,"offset":123,"total":123,"results":[{"name":"Example Name","discoveredDate":"string","provider":"string","uid":"string","type":"string","dataType":"string","infrastructure":"string","engine":"string","cloudProviderUrl":"string","scanningState":"string","ghost":true,"vpc":"string","owner":{},"cloudProviderTags":[],"collections":[]}]}`

## List Identities

Retrieve a list of identities from Cyera using specified filters and return detailed identity information.

### Endpoint

- **URL:** `/v1/identities`
- **Method:** `GET`

### Input

| **Argument Name**                         | **Type** | **Required** | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ----------------------------------------- | -------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `parameters.limit`                        | integer  | Optional     | Limit the number of results (Min - 1, Max - 1000)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `parameters.offset`                       | integer  | Optional     | Offset within total existing results (Min - 0)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `parameters.identityName`                 | string   | Optional     | Identity names ("includes" operator, case-insensitive)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `parameters.identityTypes`                | string   | Optional     | Identity types (delimited by comma separator ","). Valid values - User, Role, Group, Account, Tenant, LocalDbUser, App, Managed, Global, ServiceAccount, Domain.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `parameters.identityTrustLevels`          | string   | Optional     | Identity trust levels (delimited by comma separator ","). Valid values - Trusted, ExternalTrusted, External, Public.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `parameters.identityProviders`            | string   | Optional     | Identity providers (delimited by comma separator ","). Valid values - Atlas, AwsIam, MicrosoftEntraId, GoogleSuite, Snowflake, Anonymous, External, SharePoint, Box, GoogleCloudProject, Okta, AwsSso, ActiveDirectory, AiAsset, Salesforce, Confluence.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `parameters.isStaleIdentity`              | string   | Optional     | Is the identity stale (i.e., not active in the last 90 days)?                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `parameters.isDisabledIdentity`           | string   | Optional     | Is the identity disabled?                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `parameters.isRisky`                      | string   | Optional     | Is the identity marked as risky?                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
[...]
